Skip to content
Permalink
Browse files

chore(generic): upgrade electron-installer-debian to 0.8.x

Added promise support, so removed pify from that maker.
  • Loading branch information
malept committed Jan 22, 2018
1 parent e1f2607 commit 0bcedfe8a94dfc02203fdbd72ecacbf910915c9a
Showing with 3 additions and 4 deletions.
  1. +1 −1 package.json
  2. +1 −2 src/makers/linux/deb.js
  3. +1 −1 test/fast/makers/deb_spec.js
@@ -153,7 +153,7 @@
}
},
"optionalDependencies": {
"electron-installer-debian": "^0.7.1",
"electron-installer-debian": "^0.8.0",
"electron-installer-dmg": "^0.2.0",
"electron-installer-flatpak": "^0.8.0",
"electron-installer-redhat": "^0.5.0",
@@ -1,5 +1,4 @@
import path from 'path';
import pify from 'pify';

import { ensureFile } from '../../util/ensure-output';
import isInstalled from '../../util/is-installed';
@@ -34,6 +33,6 @@ export default async ({ dir, targetArch, forgeConfig, packageJSON }) => {
outPath,
});

await pify(installer)(debianConfig);
await installer(debianConfig);
return [outPath];
};
@@ -20,7 +20,7 @@ describe('deb maker', () => {

beforeEach(() => {
ensureFileStub = stub().returns(Promise.resolve());
eidStub = stub().callsArg(1);
eidStub = stub().resolves();
forgeConfig = { electronInstallerDebian: {} };

debModule = proxyquire.noPreserveCache().noCallThru().load('../../../src/makers/linux/deb', {

0 comments on commit 0bcedfe

Please sign in to comment.
You can’t perform that action at this time.